use anyhow::Context;

test_cases! {
    multi_char::reg_name: {
        case_001: "$",
        case_002: "%1E6bT,",
        case_003: "%D3b",
        case_004: "&DyMv%FF'D",
        case_005: "()D",
        case_006: "*w",
        case_007: ",h-=S",
        case_008: "-BJO;CHJ-",
        case_009: "0",
        case_010: "0o$",
        case_011: "1",
        case_012: "3",
        case_013: "4",
        case_014: "4HtwLvL,",
        case_015: "4cqp",
        case_016: "4sqv498!",
        case_017: "5J8b:7-k_a",
        case_018: "6RU188eIo",
        case_019: "7tsntFD",
        case_020: "7w0W",
        case_021: "8jZraqc",
        case_022: "8mX",
        case_023: "9Lj1",
        case_024: "9s7l6HY",
        case_025: ":UfF9gD",
        case_026: "B'Wh@DjMsM",
        case_027: "DYG",
        case_028: "Ed",
        case_029: "Eu5-b9Kgk+",
        case_030: "F0iF!",
        case_031: "F@Rccv",
        case_032: "Far.jH$m:",
        case_033: "FgzDP",
        case_034: "GpE=hn!i",
        case_035: "Gx1bApYN;b",
        case_036: "H!oJb:af",
        case_037: "HR",
        case_038: "KV",
        case_039: "L'TlEVMgs",
        case_040: "LPzbBYWx",
        case_041: "MQ7",
        case_042: "Njo1",
        case_043: "OjCT4ciNL",
        case_044: "PGqTr:",
        case_045: "QRS&Df",
        case_046: "RZ!913P03h",
        case_047: "S",
        case_048: "SSjn%C4'78",
        case_049: "Suk",
        case_050: "T(",
        case_051: "TY6GCS",
        case_052: "TjYsi@+T",
        case_053: "U$9Dq$HGJ6",
        case_054: "U4.",
        case_055: "V,2&&Pcbo2",
        case_056: "VX,b9t)9S",
        case_057: "VvEv",
        case_058: "W1YL1K",
        case_059: "Y2T!yK",
        case_060: "Y:H%3Buhi",
        case_061: "Yo(!M$)",
        case_062: "Z:mGS,Q",
        case_063: "_&4q@gR-$",
        case_064: "_.",
        case_065: "_J4YnfYi@~",
        case_066: "_N.A(TJ.b",
        case_067: "_zN4",
        case_068: "a-%4Fv;",
        case_069: "ajiHw",
        case_070: "b026",
        case_071: "bJ&t$",
        case_072: "cVv=1G@",
        case_073: "d8",
        case_074: "e",
        case_075: "ez",
        case_076: "fYlM-;",
        case_077: "gXucLTv",
        case_078: "gmD.R'e!k",
        case_079: "hAOZ1",
        case_080: "i:L",
        case_081: "j",
        case_082: "j-4O",
        case_083: "l_Xa",
        case_084: "m=k",
        case_085: "n9xRa-7$",
        case_086: "p*s0p.L-Vh",
        case_087: "pB@!+",
        case_088: "q_9d",
        case_089: "r$dN)-",
        case_090: "s9)2@",
        case_091: "sGdeb@KEml",
        case_092: "uEs$05",
        case_093: "v*d3KL-6f",
        case_094: "vAgfvX",
        case_095: "vWPI2esw",
        case_096: "x1",
        case_097: "xkymcLO",
        case_098: "y~c",
        case_099: "z"
    }
}
